// Copyright 2019 Red Hat, Inc. All Rights Reserved.
// SPDX-License-Identifier: (BSD-3-Clause OR Apache-2.0)

#![allow(clippy::all)]
#![allow(non_upper_case_globals)]
#![allow(non_camel_case_types)]
#![allow(non_snake_case)]
#![allow(clippy::undocumented_unsafe_blocks)]

// Bindings are generated by build.rs into OUT_DIR

pub mod virtio_blk {
    include!(concat!(env!("OUT_DIR"), "/virtio_blk.rs"));
}

pub mod virtio_config {
    include!(concat!(env!("OUT_DIR"), "/virtio_config.rs"));
}

pub mod virtio_gpu {
    include!(concat!(env!("OUT_DIR"), "/virtio_gpu.rs"));
}

pub mod virtio_ids {
    include!(concat!(env!("OUT_DIR"), "/virtio_ids.rs"));
}

pub mod virtio_input {
    include!(concat!(env!("OUT_DIR"), "/virtio_input.rs"));
}

pub mod virtio_mmio {
    include!(concat!(env!("OUT_DIR"), "/virtio_mmio.rs"));
}

pub mod virtio_net;

pub mod virtio_ring {
    include!(concat!(env!("OUT_DIR"), "/virtio_ring.rs"));
}

pub mod virtio_scsi {
    include!(concat!(env!("OUT_DIR"), "/virtio_scsi.rs"));
}

pub mod bindings {
    pub use super::{virtio_blk, virtio_config, virtio_mmio, virtio_net, virtio_ring, virtio_scsi};
}
